Subject: [bitcoin-dev] Add OpenRPC Service Discovery To JSON-RPC Services

From: Shane Jonas <[email-masked]>
Date: Wed, 3 Apr 2019 13:48:24 -0700

Similar to how Bitcion has BIPs to normalize bitcoin wallets, this is a
proposal to normalize the Bitcoin RPC Interface.

Just one example of the problems that arise: If a client doesn't provide
getblock or doesn't work in the same way it will have
unintended consequences .

Having a standard described interfaces lets you generate documentation,
generate RPC clients, test interfaces, across implementations.

Here is the proposal:

https://github.com/bitcoin/bips/pull/776

Here is just an example of what something like that would look like for
Bitcoin:
https://github.com/bitcoin/bips/pull/776#issuecomment-479649785